Axis2/C: qname

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# qname
[utilities]

## Typedefs
typedef struct axutil_qname | axutil_qname_t
## Functions
AXIS2_EXTERN axutil_qname_t * | axutil_qname_create (const axutil_env_t *env, const axis2_char_t *localpart, const axis2_char_t *namespace_uri, const axis2_char_t *prefix)
AXIS2_EXTERN axutil_qname_t * | axutil_qname_create_from_string (const axutil_env_t *env, const axis2_char_t *string)
AXIS2_EXTERN void | axutil_qname_free (struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axutil_qname_equals (const struct axutil_qname *qname, const axutil_env_t *env, const struct axutil_qname *qname1)
AXIS2_EXTERN struct axutil_qname * | axutil_qname_clone (struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_get_uri (const struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_get_prefix (const struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_get_localpart (const struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_to_string (struct axutil_qname *qname, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN struct axutil_qname* axutil_qname_clone | ( | struct axutil_qname * | qname,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

clones a given qname

Parameters:

  | qname,qname | struct instance to be cloned environment , double pointer to environment

Returns:
  the newly cloned qname struct instance

AXIS2_EXTERN axutil_qname_t* axutil_qname_create | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | localpart,
|  | const axis2_char_t * | namespace_uri,
|  | const axis2_char_t * | prefix |
| ) |  |  |

creates a qname struct returns a pointer to a qname struct mandatory mandatory optional The prefix. Must not be null. Use "" (empty string) to indicate that no namespace URI is present or the namespace URI is not relevant if null is passed for prefix and uri , "'(empty string ) will be assinged to those fields

Returns:
  a pointer to newly created qname struct

AXIS2_EXTERN axutil_qname_t* axutil_qname_create_from_string | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | string |
| ) |  |  |

returns a newly created qname using a string genarated from axutil_qname_to_string method freeing the returned qname is users responsibility

AXIS2_EXTERN axis2_bool_t axutil_qname_equals | ( | const struct axutil_qname * | qname,
|  | const axutil_env_t * | env,
|  | const struct axutil_qname * | qname1 |
| ) |  |  |

Compare two qnames prefix is ignored when comparing If ns_uri and localpart of qname1 and qname2 is equal returns true

Returns:
  true if qname1 equals qname2, false otherwise

AXIS2_EXTERN void axutil_qname_free | ( | struct axutil_qname * | qname,
|  | const axutil_env_t * | env |
| ) |  |  |

Free a qname struct

Returns:
  Status code

AXIS2_EXTERN axis2_char_t* axutil_qname_to_string | ( | struct axutil_qname * | qname,
|  | const axutil_env_t * | env |
| ) |  |  |

returns a unique string created by concatanting namespace uri and localpart . The string is of the form localpart|url The returned char* is freed when qname free function is called.